BootStrapper (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.dht

## Class BootStrapper

- java.lang.Object
- - org.apache.cassandra.utils.progress.ProgressEventNotifierSupport
  - - org.apache.cassandra.dht.BootStrapper

- All Implemented Interfaces:
    ProgressEventNotifier

      public class BootStrapper
      extends ProgressEventNotifierSupport

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BootStrapper.StringSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.net.InetAddress` | `address`
    `protected TokenMetadata` | `tokenMetadata`
    `protected java.util.Collection<Token>` | `tokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootStrapper(java.net.InetAddress address, java.util.Collection<Token> tokens, TokenMetadata tmd)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.util.concurrent.ListenableFuture<StreamState>` | `bootstrap(StreamStateStore stateStore, boolean useStrictConsistency)`
    `static java.util.Collection<Token>` | `getBootstrapTokens(TokenMetadata metadata)` if initialtoken was specified, use that (split on comma).
    `static java.util.Collection<Token>` | `getRandomTokens(TokenMetadata metadata, int numTokens)`

    - ### Methods inherited from class org.apache.cassandra.utils.progress.ProgressEventNotifierSupport

      `addProgressListener, fireProgressEvent, removeProgressListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### address

          protected final java.net.InetAddress address

    - #### tokens

          protected final java.util.Collection<Token> tokens

    - #### tokenMetadata

          protected final TokenMetadata tokenMetadata

  - ### Constructor Detail

    - #### BootStrapper

          public BootStrapper(java.net.InetAddress address,
                              java.util.Collection<Token> tokens,
                              TokenMetadata tmd)

  - ### Method Detail

    - #### bootstrap

          public com.google.common.util.concurrent.ListenableFuture<StreamState> bootstrap(StreamStateStore stateStore,
                                                                                           boolean useStrictConsistency)

    - #### getBootstrapTokens

          public static java.util.Collection<Token> getBootstrapTokens(TokenMetadata metadata)
                                                                throws ConfigurationException

      if initialtoken was specified, use that (split on comma). otherwise, if num_tokens == 1, pick a token to assume half the load of the most-loaded node. else choose num_tokens tokens at random
      Throws:
        `ConfigurationException`

    - #### getRandomTokens

          public static java.util.Collection<Token> getRandomTokens(TokenMetadata metadata,
                                                                    int numTokens)

Copyright © 2018 The Apache Software Foundation